%define		kdeplasmaver	5.15.3
%define		qtver		5.9.0
%define		kpname		kinfocenter
Summary:	kinfocenter
Name:		kp5-%{kpname}
Version:	5.15.3
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	http://download.kde.org/stable/plasma/%{kdeplasmaver}/%{kpname}-%{version}.tar.xz
# Source0-md5:	8064140c272452f7610e35b714930ca4
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5Gui-devel >= %{qtver}
BuildRequires:	Qt5Widgets-devel >= %{qtver}
BuildRequires:	Qt5X11Extras-devel >= %{qtver}
BuildRequires:	cmake >= 2.8.12
BuildRequires:	gettext-devel
BuildRequires:	kf5-extra-cmake-modules >= 1.4.0
BuildRequires:	kf5-kdelibs4support-devel
BuildRequires:	kf5-kdoctools-devel
BuildRequires:	kf5-khtml-devel
BuildRequires:	ninja
BuildRequires:	qt5-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A utility that provides information about a computer system.

%prep
%setup -q -n %{kpname}-%{version}

%build
install -d build
cd build
%cmake -G Ninja \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	..
%ninja_build

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kpname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{kpname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kinfocenter
/etc/xdg/menus/kinfocenter.menu
%attr(755,root,root) %{_libdir}/qt5/plugins/kcm_about_distro.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kcm_devinfo.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kcm_info.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kcm_memory.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kcm_nic.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kcm_opengl.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kcm_pci.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kcm_samba.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kcm_usb.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kcm_view1394.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kcms/kcm_energyinfo.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kcms/kcm_fileindexermonitor.so
%{_desktopdir}/org.kde.kinfocenter.desktop
%{_datadir}/desktop-directories/kinfocenter.directory
%dir %{_datadir}/kcmusb
%{_datadir}/kcmusb/usb.ids
%dir %{_datadir}/kcmview1394
%{_datadir}/kcmview1394/oui.db
%dir %{_datadir}/kpackage/kcms/kcm_energyinfo
%dir %{_datadir}/kpackage/kcms/kcm_energyinfo/contents
%dir %{_datadir}/kpackage/kcms/kcm_energyinfo/contents/ui
%{_datadir}/kpackage/kcms/kcm_energyinfo/contents/ui/Graph.qml
%{_datadir}/kpackage/kcms/kcm_energyinfo/contents/ui/main.qml
%{_datadir}/kpackage/kcms/kcm_energyinfo/metadata.desktop
%dir %{_datadir}/kpackage/kcms/kcm_fileindexermonitor
%dir %{_datadir}/kpackage/kcms/kcm_fileindexermonitor/contents
%dir %{_datadir}/kpackage/kcms/kcm_fileindexermonitor/contents/ui
%{_datadir}/kpackage/kcms/kcm_fileindexermonitor/contents/ui/constants.js
%{_datadir}/kpackage/kcms/kcm_fileindexermonitor/contents/ui/main.qml
%{_datadir}/kpackage/kcms/kcm_fileindexermonitor/metadata.desktop
%{_datadir}/kservices5/about-distro.desktop
%{_datadir}/kservices5/deviceinfocategory.desktop
%{_datadir}/kservices5/devinfo.desktop
%{_datadir}/kservices5/dma.desktop
%{_datadir}/kservices5/graphicalinfocategory.desktop
%{_datadir}/kservices5/interrupts.desktop
%{_datadir}/kservices5/ioports.desktop
%{_datadir}/kservices5/kcm_energyinfo.desktop
%{_datadir}/kservices5/kcm_fileindexermonitor.desktop
%{_datadir}/kservices5/kcm_memory.desktop
%{_datadir}/kservices5/kcm_pci.desktop
%{_datadir}/kservices5/kcmusb.desktop
%{_datadir}/kservices5/kcmview1394.desktop
%{_datadir}/kservices5/lostfoundcategory.desktop
%{_datadir}/kservices5/networkinfocategory.desktop
%{_datadir}/kservices5/nic.desktop
%{_datadir}/kservices5/opengl.desktop
#%{_datadir}/kservices5/scsi.desktop
%{_datadir}/kservices5/smbstatus.desktop
%{_datadir}/kservices5/wayland.desktop
%{_datadir}/kservices5/xserver.desktop
%{_datadir}/kservicetypes5/kinfocentercategory.desktop
%dir %{_datadir}/kxmlgui5/kinfocenter
%{_datadir}/kxmlgui5/kinfocenter/kinfocenterui.rc
%{_datadir}/kpackage/kcms/kcm_energyinfo/metadata.json
%{_datadir}/kpackage/kcms/kcm_fileindexermonitor/metadata.json
%changelog
* Fri May 17 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kp5-kinfocenter.git;a=log;h=master

* Mon Mar 25 2019 Witold Filipczyk <witekfl@poczta.onet.pl> 62ccaaa
- updated to 5.15.3

* Fri Jan 11 2019 Witold Filipczyk <witekfl@poczta.onet.pl> 5425c5c
- updated to 5.14.5

* Thu Dec 27 2018 Witold Filipczyk <witekfl@poczta.onet.pl> 1991e34
- updated to 5.14.4

* Sun Oct 29 2017 Witold Filipczyk <witekfl@poczta.onet.pl> 6c709bb
- updated to 5.11.2

* Sun Feb 28 2016 Witold Filipczyk <witekfl@poczta.onet.pl> ee6a34f
- new

